View Issue Details

IDProjectCategoryView StatusLast Update
0003417unrealircdpublic2009-07-24 01:09
ReporterstskeepsAssigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionopen 
PlatformAllOSAllOS VersionAll
Product Version4.0-devel 
Target VersionFixed in Version 
Summary0003417: TODO list for Unreal4.0
DescriptionThis will be parent bug for Unreal4.0 bugs.
TagsNo tags attached.
3rd party modules

Relationships

parent of 0003416 resolvedstskeeps Unreal4: LOADMODULE with wildcard output result of each module 
parent of 0003419 resolvedstskeeps unreal script does not create pid-file properly 
parent of 0003420 closed Channelmode 'A' is missing 
parent of 0003435 resolvedstskeeps unrealircd default/example configuration file 
parent of 0003434 resolvedstskeeps Make install doesn't copy example files to conf directory 
parent of 0003428 resolvedsyzop Cert auth 
parent of 0003427 resolvedstskeeps m_opermotd.so should be configurable through <files> 
parent of 0003425 resolvedstskeeps configure script does not handle errors in ssl-creation properly 
parent of 0003438 resolvedstskeeps Implement /CLOSE Command 
parent of 0003437 resolvedaquanight localhost should be cloaked 
parent of 0003439 resolvedaquanight m_hostchange.so tweak 
parent of 0003441 closed Things that need change or features to be implemented in Unreal4 to match things in Unreal3 
parent of 0003443 closedstskeeps Linking with previous stable version (U3) 
parent of 0003446 closed Things that really need an overhaul in Unreal4 that Unreal3 does stupidly 
parent of 0003450 resolvedaquanight Filters (m_filter.so and m_filter_pcre.so ) aren't removed with rehash 
parent of 0003445 closed [Unreal4] Ability to specify servers where a person can oper up with an account 
parent of 0003451 closed Things in InspIRCd/Unreal4 that are stupidily done and needs an overhaul 
parent of 0003457 resolvedstskeeps [Unreal 4] Cosmetic change to SSL output in /WHOIS 
parent of 0003458 resolvedstskeeps [Unreal 4] Cosmetic change to /RULES command 
parent of 0003456 closed [Unreal 4] Reload updated modules on rehash 
parent of 0003460 closed Implement nickchars system for U4 
parent of 0003461 closed Implement NT service support for U4 
parent of 0003462 resolvedstskeeps Implement two user interfaces for configure for U4 
parent of 0003463 resolvedstskeeps Implement parser for U3 configuration format 
parent of 0003464 closed Implement Windows installer for U4 
parent of 0003465 resolvedDan Link U3 parser to existing InspIRCd configuration code 
parent of 0003466 closed Implement DCCdeny for U4 
parent of 0003467 resolvedstskeeps Implement U3 cloaking algorithm for U4 
parent of 0003468 resolvedstskeeps [Unreal 4] SSL WHOIS Numerics 
parent of 0003469 closed Elimination of the /GLINE command via an improved /KLINE 
parent of 0003470 closed Allow 'long' /STATS 
parent of 0003471 resolvedstskeeps [Unreal 4] Error in configure script 
parent of 0003473 resolvedaquanight [Unreal 4] Error in configure script during epoll check 
parent of 0003475 closedaquanight Work on a proposal for U4 oper types that match our system more yet is more flexible 
parent of 0003479 closedstskeeps Work on finding differences and similarities between Unreal3 and Unreal4 protocol 
parent of 0003449 closed Bug allowing regular users to /stats <any> 
parent of 0003480 resolvedstskeeps Work on integrate /BOTMOTD into the m_botmode module 
parent of 0003483 resolvedstskeeps Move botmotd config to <files> 
parent of 0003485 resolvedstskeeps Implement /RPING /RPONG 
parent of 0003486 resolvedstskeeps Implemented ENCAP proposal 
parent of 0003490 resolvedstskeeps Hide +j and +f secondary variables from /LIST for regular users 
parent of 0003508 resolvedstskeeps Added m_allowdenychans module 
parent of 0003513 resolvedaquanight Extend chanrec::IsBanned (so we can have extbans) 
parent of 0003515 resolvedstskeeps Added ban-server {} configuration 
parent of 0003516 resolvedstskeeps Make some more sense of umodes +s and +n 
parent of 0003514 closed Include-Directive needs to support wildcards 
parent of 0003519 resolvedDan Implement @merge config directive 
parent of 0003518 resolvedstskeeps [Unreal 4] WHOWAS needs to accept number parameter 
parent of 0003496 resolvedstskeeps SSL ports in 005 numeric 
parent of 0003521 resolvedaquanight configure does not pull epoll support properly. 
parent of 0003202 acknowledged Allow remote includes anywhere a file is expected 
parent of 0003525 closed [Unreal 4] Implement events for mode changes 
parent of 0003526 closed [Unreal 4] Some changes in port configuration require a restart 
parent of 0003523 closed Feature: Option to `require' time value in /{Z,GZ,G,K}LINE & /SHUN 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2007-07-04 11:57 stskeeps New Issue
2007-07-04 11:58 stskeeps Relationship added parent of 0003416
2007-07-04 11:58 stskeeps Status new => acknowledged
2007-07-04 15:18 stskeeps Relationship added parent of 0003419
2007-07-04 16:14 stskeeps Relationship added parent of 0003420
2007-07-09 15:55 stskeeps Relationship added parent of 0003435
2007-07-09 15:56 stskeeps Relationship added parent of 0003434
2007-07-09 15:57 stskeeps Relationship added parent of 0003428
2007-07-09 15:58 stskeeps Relationship added parent of 0003427
2007-07-09 16:04 stskeeps Relationship added parent of 0003425
2007-07-12 14:20 stskeeps Relationship added parent of 0003438
2007-07-13 15:03 aquanight Relationship added parent of 0003437
2007-07-13 15:15 aquanight Relationship added parent of 0003439
2007-07-13 15:32 stskeeps Sticky Issue No => Yes
2007-07-13 15:46 aquanight Relationship added parent of 0003441
2007-07-13 21:14 aquanight Relationship added parent of 0003442
2007-07-13 21:15 aquanight Relationship added parent of 0003443
2007-07-15 10:13 stskeeps Relationship added parent of 0003446
2007-07-15 21:59 aquanight Relationship added parent of 0003450
2007-07-15 21:59 aquanight Relationship added parent of 0003445
2007-07-15 22:00 aquanight Relationship added related to 0003449
2007-07-16 15:25 stskeeps Relationship added parent of 0003451
2007-07-19 05:03 stskeeps Relationship added parent of 0003457
2007-07-19 07:00 stskeeps Relationship added parent of 0003458
2007-07-19 08:20 stskeeps Relationship added parent of 0003456
2007-07-20 06:58 stskeeps Relationship added parent of 0003460
2007-07-20 07:02 stskeeps Relationship added parent of 0003461
2007-07-20 07:03 stskeeps Relationship added parent of 0003462
2007-07-20 07:04 stskeeps Relationship added parent of 0003463
2007-07-20 07:07 stskeeps Relationship added parent of 0003464
2007-07-20 07:08 stskeeps Relationship added parent of 0003465
2007-07-20 07:10 stskeeps Relationship added parent of 0003466
2007-07-20 07:19 stskeeps Relationship added parent of 0003467
2007-07-20 12:45 stskeeps Relationship added parent of 0003468
2007-07-20 14:41 stskeeps Relationship added parent of 0003469
2007-07-20 16:14 stskeeps Relationship added parent of 0003470
2007-07-21 08:49 stskeeps Relationship added parent of 0003471
2007-07-21 12:12 stskeeps Relationship added parent of 0003473
2007-07-22 02:49 stskeeps Relationship added parent of 0003475
2007-07-23 08:18 stskeeps Relationship added parent of 0003479
2007-07-23 09:10 stskeeps Relationship deleted related to 0003449
2007-07-23 09:10 stskeeps Relationship added parent of 0003449
2007-07-23 09:19 stskeeps Status acknowledged => confirmed
2007-07-23 09:21 stskeeps Relationship deleted parent of 0003442
2007-07-23 09:39 stskeeps Relationship added parent of 0003480
2007-07-24 03:18 stskeeps Relationship added parent of 0003483
2007-07-25 14:52 stskeeps Relationship added parent of 0003485
2007-07-25 16:57 stskeeps Relationship added parent of 0003486
2007-07-28 06:26 stskeeps Relationship added parent of 0003490
2007-08-10 08:55 stskeeps Relationship added parent of 0003508
2007-08-11 22:42 aquanight Relationship added parent of 0003513
2007-08-14 07:29 stskeeps Relationship added parent of 0003515
2007-08-15 09:42 stskeeps Relationship added parent of 0003516
2007-08-15 11:47 stskeeps Relationship added parent of 0003514
2007-08-20 05:10 stskeeps Relationship added parent of 0003519
2007-08-20 06:29 stskeeps Relationship added parent of 0003518
2007-08-21 07:02 stskeeps Relationship added parent of 0003496
2007-08-24 11:46 aquanight Relationship added parent of 0003521
2007-08-24 12:33 aquanight Relationship added parent of 0003202
2007-09-07 13:14 aquanight Relationship added parent of 0003525
2007-09-07 13:15 aquanight Relationship added parent of 0003526
2007-09-07 13:17 aquanight Relationship added parent of 0003523
2009-07-24 01:09 Stealth Status confirmed => closed